<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- Generated by Apache Maven Doxia Site Renderer 1.3 at Aug 1, 2017 -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=${outputEncoding}" />
    <title>CPD Results</title>
    <style type="text/css" media="all">
      @import url("./css/maven-base.css");
      @import url("./css/maven-theme.css");
      @import url("./css/site.css");
    </style>
    <link rel="stylesheet" href="./css/print.css" type="text/css" media="print" />
    <meta name="Date-Revision-yyyymmdd" content="20170801" />
    <meta http-equiv="Content-Language" content="en" />
        
        </head>
  <body class="composite">
    <div id="banner">
                      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="breadcrumbs">
            
            
                <div class="xleft">
        <span id="publishDate">Last Published: 2017-08-01</span>
                  &nbsp;| <span id="projectVersion">Version: ${project.version}</span>
                      </div>
            <div class="xright">        
            
      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="leftColumn">
      <div id="navcolumn">
             
            
                                      <a href="http://maven.apache.org/" title="Built by Maven" class="poweredBy">
        <img class="poweredBy" alt="Built by Maven" src="./images/logos/maven-feather.png" />
      </a>
                   
            
            </div>
    </div>
    <div id="bodyColumn">
      <div id="contentBox">
        <div class="section"><h2>CPD Results<a name="CPD_Results"></a></h2><p>The following document contains the results of PMD's  <a class="externalLink" href="http://pmd.sourceforge.net/cpd.html">CPD</a> 5.0.5.</p></div><div class="section"><h2>Duplications<a name="Duplications"></a></h2><table align="center" border="0" class="bodyTable"><tr class="a"><th>File</th><th>Line</th></tr><tr class="b"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parser/antlr/internal/InternalConstraintWithVSLlLexer.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parser/antlr/internal/InternalConstraintWithVSLlLexer.html#L47">47</a></td></tr><tr class="a"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parser/antlr/internal/InternalConstraintWithVSLlParser.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parser/antlr/internal/InternalConstraintWithVSLlParser.html#L52">52</a></td></tr><tr class="b"><td colspan='2'><div><pre>	public static final int T__16 = 16;
	public static final int T__51 = 51;
	public static final int T__18 = 18;
	public static final int T__17 = 17;
	public static final int RULE_INT = 11;
	public static final int T__50 = 50;
	public static final int RULE_NULLLITERAL = 9;
	public static final int T__42 = 42;
	public static final int T__43 = 43;
	public static final int T__40 = 40;
	public static final int T__41 = 41;
	public static final int T__46 = 46;
	public static final int T__47 = 47;
	public static final int T__44 = 44;
	public static final int T__45 = 45;
	public static final int T__48 = 48;
	public static final int T__49 = 49;
	public static final int RULE_INTEGERLITERAL = 5;
	public static final int RULE_SL_COMMENT = 13;
	public static final int RULE_ML_COMMENT = 12;
	public static final int T__30 = 30;
	public static final int T__31 = 31;
	public static final int RULE_STRING = 10;
	public static final int T__32 = 32;
	public static final int T__33 = 33;
	public static final int T__34 = 34;
	public static final int T__35 = 35;
	public static final int T__36 = 36;
	public static final int T__37 = 37;
	public static final int T__38 = 38;
	public static final int T__39 = 39;
	public static final int RULE_WS = 14;

	// delegates
	// delegators

	public InternalConstraintWithVSLlLexer() {</pre></div></td></tr></table><table align="center" border="0" class="bodyTable"><tr class="a"><th>File</th><th>Line</th></tr><tr class="b"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.html#L2271">2271</a></td></tr><tr class="a"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.html#L3328">3328</a></td></tr><tr class="b"><td colspan='2'><div><pre>				return new Literal_Alternatives(this, this, 0, inst);
			default:
				return null;
			}
		}

		@Override
		public IEObjectConsumer tryConsume() {
			if (getEObject().eClass() != grammarAccess.getBooleanLiteralRuleRule().getType().getClassifier() &amp;&amp;
					getEObject().eClass() != grammarAccess.getDateTimeLiteralRuleRule().getType().getClassifier() &amp;&amp;
					getEObject().eClass() != grammarAccess.getDefaultLiteralRuleRule().getType().getClassifier() &amp;&amp;
					getEObject().eClass() != grammarAccess.getIntegerLiteralRuleRule().getType().getClassifier() &amp;&amp;
					getEObject().eClass() != grammarAccess.getNullLiteralRuleRule().getType().getClassifier() &amp;&amp;
					getEObject().eClass() != grammarAccess.getRealLiteralRuleRule().getType().getClassifier() &amp;&amp;
					getEObject().eClass() != grammarAccess.getStringLiteralRuleRule().getType().getClassifier() &amp;&amp;
					getEObject().eClass() != grammarAccess.getUnlimitedLiteralRuleRule().getType().getClassifier()) {
				return null;
			}</pre></div></td></tr></table><table align="center" border="0" class="bodyTable"><tr class="a"><th>File</th><th>Line</th></tr><tr class="b"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parser/antlr/internal/InternalConstraintWithVSLlLexer.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parser/antlr/internal/InternalConstraintWithVSLlLexer.html#L2136">2136</a></td></tr><tr class="a"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parser/antlr/internal/InternalConstraintWithVSLlLexer.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parser/antlr/internal/InternalConstraintWithVSLlLexer.html#L2200">2200</a></td></tr><tr class="b"><td colspan='2'><div><pre>						switch (alt30) {
						case 1:
						// ../org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext/src-gen/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parser/antlr/internal/InternalConstraintWithVSLl.g:2822:21: '\\\\' ( 'b' | 't' | 'n' | 'f' | 'r' | 'u' |
						// '\&quot;' | '\\'' | '\\\\' )
						{
							match('\\');
							if (input.LA(1) == '\&quot;' || input.LA(1) == '\'' || input.LA(1) == '\\' || input.LA(1) == 'b' || input.LA(1) == 'f' || input.LA(1) == 'n' || input.LA(1) == 'r' || (input.LA(1) &gt;= 't' &amp;&amp; input.LA(1) &lt;= 'u')) {
								input.consume();

							}
							else {
								MismatchedSetException mse = new MismatchedSetException(null, input);
								recover(mse);
								throw mse;
							}


						}
							break;
						case 2:
						// ../org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext/src-gen/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parser/antlr/internal/InternalConstraintWithVSLl.g:2822:66: ~ ( ( '\\\\' | '\&quot;' ) )
						{
							if ((input.LA(1) &gt;= '\u0000' &amp;&amp; input.LA(1) &lt;= '!') || (input.LA(1) &gt;= '#' &amp;&amp; input.LA(1) &lt;= '[') || (input.LA(1) &gt;= ']' &amp;&amp; input.LA(1) &lt;= '\uFFFF')) {</pre></div></td></tr></table><table align="center" border="0" class="bodyTable"><tr class="a"><th>File</th><th>Line</th></tr><tr class="b"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.html#L387">387</a></td></tr><tr class="a"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.html#L513">513</a></td></tr><tr class="b"><td colspan='2'><div><pre>			return grammarAccess.getAndOrXorExpressionAccess().getExpAssignment_0();
		}

		@Override
		public AbstractToken createFollower(int index, IEObjectConsumer inst) {
			switch (index) {
			case 0:
				return new EqualityExpression_Group(this, this, 0, inst);
			default:
				return null;
			}
		}

		@Override
		public IEObjectConsumer tryConsume() {
			if ((value = eObjectConsumer.getConsumable(&quot;exp&quot;, true)) == null) {
				return null;
			}
			IEObjectConsumer obj = eObjectConsumer.cloneAndConsume(&quot;exp&quot;);
			if (value instanceof EObject) { // org::eclipse::xtext::impl::RuleCallImpl
				IEObjectConsumer param = createEObjectConsumer((EObject) value);
				if (param.isInstanceOf(grammarAccess.getEqualityExpressionRule().getType().getClassifier())) {
					type = AssignmentType.PARSER_RULE_CALL;
					element = grammarAccess.getAndOrXorExpressionAccess().getExpEqualityExpressionParserRuleCall_0_0();</pre></div></td></tr></table><table align="center" border="0" class="bodyTable"><tr class="a"><th>File</th><th>Line</th></tr><tr class="b"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.html#L614">614</a></td></tr><tr class="a"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.html#L735">735</a></td></tr><tr class="b"><td colspan='2'><div><pre>			return grammarAccess.getEqualityExpressionAccess().getExpAssignment_0();
		}

		@Override
		public AbstractToken createFollower(int index, IEObjectConsumer inst) {
			switch (index) {
			case 0:
				return new RelationalExpression_Group(this, this, 0, inst);
			default:
				return null;
			}
		}

		@Override
		public IEObjectConsumer tryConsume() {
			if ((value = eObjectConsumer.getConsumable(&quot;exp&quot;, true)) == null) {
				return null;
			}
			IEObjectConsumer obj = eObjectConsumer.cloneAndConsume(&quot;exp&quot;);
			if (value instanceof EObject) { // org::eclipse::xtext::impl::RuleCallImpl
				IEObjectConsumer param = createEObjectConsumer((EObject) value);
				if (param.isInstanceOf(grammarAccess.getRelationalExpressionRule().getType().getClassifier())) {
					type = AssignmentType.PARSER_RULE_CALL;
					element = grammarAccess.getEqualityExpressionAccess().getExpRelationalExpressionParserRuleCall_0_0();</pre></div></td></tr></table><table align="center" border="0" class="bodyTable"><tr class="a"><th>File</th><th>Line</th></tr><tr class="b"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.html#L836">836</a></td></tr><tr class="a"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.html#L967">967</a></td></tr><tr class="b"><td colspan='2'><div><pre>			return grammarAccess.getRelationalExpressionAccess().getExpAssignment_0();
		}

		@Override
		public AbstractToken createFollower(int index, IEObjectConsumer inst) {
			switch (index) {
			case 0:
				return new ConditionalExpression_Group(this, this, 0, inst);
			default:
				return null;
			}
		}

		@Override
		public IEObjectConsumer tryConsume() {
			if ((value = eObjectConsumer.getConsumable(&quot;exp&quot;, true)) == null) {
				return null;
			}
			IEObjectConsumer obj = eObjectConsumer.cloneAndConsume(&quot;exp&quot;);
			if (value instanceof EObject) { // org::eclipse::xtext::impl::RuleCallImpl
				IEObjectConsumer param = createEObjectConsumer((EObject) value);
				if (param.isInstanceOf(grammarAccess.getConditionalExpressionRule().getType().getClassifier())) {
					type = AssignmentType.PARSER_RULE_CALL;
					element = grammarAccess.getRelationalExpressionAccess().getExpConditionalExpressionParserRuleCall_0_0();</pre></div></td></tr></table><table align="center" border="0" class="bodyTable"><tr class="a"><th>File</th><th>Line</th></tr><tr class="b"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.html#L1068">1068</a></td></tr><tr class="a"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.html#L1182">1182</a></td></tr><tr class="b"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.html#L1260">1260</a></td></tr><tr class="a"><td colspan='2'><div><pre>			return grammarAccess.getConditionalExpressionAccess().getExpAssignment_0();
		}

		@Override
		public AbstractToken createFollower(int index, IEObjectConsumer inst) {
			switch (index) {
			case 0:
				return new AdditiveExpression_Group(this, this, 0, inst);
			default:
				return null;
			}
		}

		@Override
		public IEObjectConsumer tryConsume() {
			if ((value = eObjectConsumer.getConsumable(&quot;exp&quot;, true)) == null) {
				return null;
			}
			IEObjectConsumer obj = eObjectConsumer.cloneAndConsume(&quot;exp&quot;);
			if (value instanceof EObject) { // org::eclipse::xtext::impl::RuleCallImpl
				IEObjectConsumer param = createEObjectConsumer((EObject) value);
				if (param.isInstanceOf(grammarAccess.getAdditiveExpressionRule().getType().getClassifier())) {
					type = AssignmentType.PARSER_RULE_CALL;
					element = grammarAccess.getConditionalExpressionAccess().getExpAdditiveExpressionParserRuleCall_0_0();</pre></div></td></tr></table><table align="center" border="0" class="bodyTable"><tr class="b"><th>File</th><th>Line</th></tr><tr class="a"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.html#L1361">1361</a></td></tr><tr class="b"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.html#L1482">1482</a></td></tr><tr class="a"><td colspan='2'><div><pre>			return grammarAccess.getAdditiveExpressionAccess().getExpAssignment_0();
		}

		@Override
		public AbstractToken createFollower(int index, IEObjectConsumer inst) {
			switch (index) {
			case 0:
				return new MultiplicativeExpression_Group(this, this, 0, inst);
			default:
				return null;
			}
		}

		@Override
		public IEObjectConsumer tryConsume() {
			if ((value = eObjectConsumer.getConsumable(&quot;exp&quot;, true)) == null) {
				return null;
			}
			IEObjectConsumer obj = eObjectConsumer.cloneAndConsume(&quot;exp&quot;);
			if (value instanceof EObject) { // org::eclipse::xtext::impl::RuleCallImpl
				IEObjectConsumer param = createEObjectConsumer((EObject) value);
				if (param.isInstanceOf(grammarAccess.getMultiplicativeExpressionRule().getType().getClassifier())) {
					type = AssignmentType.PARSER_RULE_CALL;
					element = grammarAccess.getAdditiveExpressionAccess().getExpMultiplicativeExpressionParserRuleCall_0_0();</pre></div></td></tr></table><table align="center" border="0" class="bodyTable"><tr class="b"><th>File</th><th>Line</th></tr><tr class="a"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.html#L1583">1583</a></td></tr><tr class="b"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.html#L1709">1709</a></td></tr><tr class="a"><td colspan='2'><div><pre>			return grammarAccess.getMultiplicativeExpressionAccess().getExpAssignment_0();
		}

		@Override
		public AbstractToken createFollower(int index, IEObjectConsumer inst) {
			switch (index) {
			case 0:
				return new UnaryExpression_Alternatives(this, this, 0, inst);
			default:
				return null;
			}
		}

		@Override
		public IEObjectConsumer tryConsume() {
			if ((value = eObjectConsumer.getConsumable(&quot;exp&quot;, true)) == null) {
				return null;
			}
			IEObjectConsumer obj = eObjectConsumer.cloneAndConsume(&quot;exp&quot;);
			if (value instanceof EObject) { // org::eclipse::xtext::impl::RuleCallImpl
				IEObjectConsumer param = createEObjectConsumer((EObject) value);
				if (param.isInstanceOf(grammarAccess.getUnaryExpressionRule().getType().getClassifier())) {
					type = AssignmentType.PARSER_RULE_CALL;
					element = grammarAccess.getMultiplicativeExpressionAccess().getExpUnaryExpressionParserRuleCall_0_0();</pre></div></td></tr></table><table align="center" border="0" class="bodyTable"><tr class="b"><th>File</th><th>Line</th></tr><tr class="a"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.html#L2133">2133</a></td></tr><tr class="b"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.html#L2951">2951</a></td></tr><tr class="a"><td colspan='2'><div><pre>			return grammarAccess.getPrimaryExpressionAccess().getSuffixAssignment_1_1();
		}

		@Override
		public AbstractToken createFollower(int index, IEObjectConsumer inst) {
			switch (index) {
			case 0:
				return new SuffixExpression_Alternatives(this, this, 0, inst);
			default:
				return null;
			}
		}

		@Override
		public IEObjectConsumer tryConsume() {
			if ((value = eObjectConsumer.getConsumable(&quot;suffix&quot;, false)) == null) {
				return null;
			}
			IEObjectConsumer obj = eObjectConsumer.cloneAndConsume(&quot;suffix&quot;);
			if (value instanceof EObject) { // org::eclipse::xtext::impl::RuleCallImpl
				IEObjectConsumer param = createEObjectConsumer((EObject) value);
				if (param.isInstanceOf(grammarAccess.getSuffixExpressionRule().getType().getClassifier())) {
					type = AssignmentType.PARSER_RULE_CALL;
					element = grammarAccess.getPrimaryExpressionAccess().getSuffixSuffixExpressionParserRuleCall_1_1_0();</pre></div></td></tr></table><table align="center" border="0" class="bodyTable"><tr class="b"><th>File</th><th>Line</th></tr><tr class="a"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.html#L3670">3670</a></td></tr><tr class="b"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.html#L5882">5882</a></td></tr><tr class="a"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.html#L6423">6423</a></td></tr><tr class="b"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.html#L7388">7388</a></td></tr><tr class="a"><td colspan='2'><div><pre>			return grammarAccess.getNameOrChoiceOrBehaviorCallAccess().getPathAssignment_0();
		}

		@Override
		public AbstractToken createFollower(int index, IEObjectConsumer inst) {
			switch (index) {
			case 0:
				return new QualifiedName_Group(this, this, 0, inst);
			default:
				return null;
			}
		}

		@Override
		public IEObjectConsumer tryConsume() {
			if ((value = eObjectConsumer.getConsumable(&quot;path&quot;, false)) == null) {
				return null;
			}
			IEObjectConsumer obj = eObjectConsumer.cloneAndConsume(&quot;path&quot;);
			if (value instanceof EObject) { // org::eclipse::xtext::impl::RuleCallImpl
				IEObjectConsumer param = createEObjectConsumer((EObject) value);
				if (param.isInstanceOf(grammarAccess.getQualifiedNameRule().getType().getClassifier())) {
					type = AssignmentType.PARSER_RULE_CALL;
					element = grammarAccess.getNameOrChoiceOrBehaviorCallAccess().getPathQualifiedNameParserRuleCall_0_0();</pre></div></td></tr></table><table align="center" border="0" class="bodyTable"><tr class="b"><th>File</th><th>Line</th></tr><tr class="a"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.html#L5606">5606</a></td></tr><tr class="b"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.html#L6147">6147</a></td></tr><tr class="a"><td colspan='2'><div><pre>			return grammarAccess.getInstantObsExpressionAccess().getIndexAssignment_2_1();
		}

		@Override
		public AbstractToken createFollower(int index, IEObjectConsumer inst) {
			switch (index) {
			case 0:
				return new Expression_ExpAssignment(this, this, 0, inst);
			default:
				return null;
			}
		}

		@Override
		public IEObjectConsumer tryConsume() {
			if ((value = eObjectConsumer.getConsumable(&quot;index&quot;, false)) == null) {
				return null;
			}
			IEObjectConsumer obj = eObjectConsumer.cloneAndConsume(&quot;index&quot;);
			if (value instanceof EObject) { // org::eclipse::xtext::impl::RuleCallImpl
				IEObjectConsumer param = createEObjectConsumer((EObject) value);
				if (param.isInstanceOf(grammarAccess.getExpressionRule().getType().getClassifier())) {
					type = AssignmentType.PARSER_RULE_CALL;
					element = grammarAccess.getInstantObsExpressionAccess().getIndexExpressionParserRuleCall_2_1_0();</pre></div></td></tr></table><table align="center" border="0" class="bodyTable"><tr class="b"><th>File</th><th>Line</th></tr><tr class="a"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.html#L5759">5759</a></td></tr><tr class="b"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.html#L6300">6300</a></td></tr><tr class="a"><td colspan='2'><div><pre>			return grammarAccess.getInstantObsExpressionAccess().getConditionAssignment_3_2();
		}

		@Override
		public AbstractToken createFollower(int index, IEObjectConsumer inst) {
			switch (index) {
			case 0:
				return new Expression_ExpAssignment(this, this, 0, inst);
			default:
				return null;
			}
		}

		@Override
		public IEObjectConsumer tryConsume() {
			if ((value = eObjectConsumer.getConsumable(&quot;condition&quot;, false)) == null) {
				return null;
			}
			IEObjectConsumer obj = eObjectConsumer.cloneAndConsume(&quot;condition&quot;);
			if (value instanceof EObject) { // org::eclipse::xtext::impl::RuleCallImpl
				IEObjectConsumer param = createEObjectConsumer((EObject) value);
				if (param.isInstanceOf(grammarAccess.getExpressionRule().getType().getClassifier())) {
					type = AssignmentType.PARSER_RULE_CALL;
					element = grammarAccess.getInstantObsExpressionAccess().getConditionExpressionParserRuleCall_3_2_0();</pre></div></td></tr></table><table align="center" border="0" class="bodyTable"><tr class="b"><th>File</th><th>Line</th></tr><tr class="a"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.html#L2133">2133</a></td></tr><tr class="b"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.html#L2951">2951</a></td></tr><tr class="a"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.html#L3243">3243</a></td></tr><tr class="b"><td colspan='2'><div><pre>			return grammarAccess.getPrimaryExpressionAccess().getSuffixAssignment_1_1();
		}

		@Override
		public AbstractToken createFollower(int index, IEObjectConsumer inst) {
			switch (index) {
			case 0:
				return new SuffixExpression_Alternatives(this, this, 0, inst);
			default:
				return null;
			}
		}

		@Override
		public IEObjectConsumer tryConsume() {
			if ((value = eObjectConsumer.getConsumable(&quot;suffix&quot;, false)) == null) {
				return null;
			}
			IEObjectConsumer obj = eObjectConsumer.cloneAndConsume(&quot;suffix&quot;);
			if (value instanceof EObject) { // org::eclipse::xtext::impl::RuleCallImpl
				IEObjectConsumer param = createEObjectConsumer((EObject) value);
				if (param.isInstanceOf(grammarAccess.getSuffixExpressionRule().getType().getClassifier())) {
					type = AssignmentType.PARSER_RULE_CALL;
					element = grammarAccess.getPrimaryExpressionAccess().getSuffixSuffixExpressionParserRuleCall_1_1_0();</pre></div></td></tr></table><table align="center" border="0" class="bodyTable"><tr class="a"><th>File</th><th>Line</th></tr><tr class="b"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.html#L3115">3115</a></td></tr><tr class="a"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.html#L3811">3811</a></td></tr><tr class="b"><td colspan='2'><div><pre>			return grammarAccess.getOperationCallExpressionAccess().getArgumentsAssignment_2();
		}

		@Override
		public AbstractToken createFollower(int index, IEObjectConsumer inst) {
			switch (index) {
			case 0:
				return new ListOfValues_Group(this, this, 0, inst);
			default:
				return null;
			}
		}

		@Override
		public IEObjectConsumer tryConsume() {
			if ((value = eObjectConsumer.getConsumable(&quot;arguments&quot;, false)) == null) {
				return null;
			}
			IEObjectConsumer obj = eObjectConsumer.cloneAndConsume(&quot;arguments&quot;);
			if (value instanceof EObject) { // org::eclipse::xtext::impl::RuleCallImpl
				IEObjectConsumer param = createEObjectConsumer((EObject) value);
				if (param.isInstanceOf(grammarAccess.getListOfValuesRule().getType().getClassifier())) {
					type = AssignmentType.PARSER_RULE_CALL;
					element = grammarAccess.getOperationCallExpressionAccess().getArgumentsListOfValuesParserRuleCall_2_0();</pre></div></td></tr></table><table align="center" border="0" class="bodyTable"><tr class="a"><th>File</th><th>Line</th></tr><tr class="b"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.html#L2864">2864</a></td></tr><tr class="a"><td>org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.java</td><td><a href="./xref/org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/parseTreeConstruction/ConstraintWithVSLlParsetreeConstructor.html#L5141">5141</a></td></tr><tr class="b"><td colspan='2'><div><pre>			return grammarAccess.getPropertyCallExpressionAccess().getPropertyAssignment_0();
		}

		@Override
		public AbstractToken createFollower(int index, IEObjectConsumer inst) {
			switch (index) {
			default:
				return lastRuleCallOrigin.createFollowerAfterReturn(this, index, index, inst);
			}
		}

		@Override
		public IEObjectConsumer tryConsume() {
			if ((value = eObjectConsumer.getConsumable(&quot;property&quot;, true)) == null) {
				return null;
			}
			IEObjectConsumer obj = eObjectConsumer.cloneAndConsume(&quot;property&quot;);
			if (value instanceof EObject) { // org::eclipse::xtext::impl::CrossReferenceImpl
				IEObjectConsumer param = createEObjectConsumer((EObject) value);
				if (param.isInstanceOf(grammarAccess.getPropertyCallExpressionAccess().getPropertyPropertyCrossReference_0_0().getType().getClassifier())) {</pre></div></td></tr></table></div>
      </div>
    </div>
    <div class="clear">
      <hr/>
    </div>
    <div id="footer">
      <div class="xright">
              Copyright &#169;  All Rights Reserved.      
            
                  </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
  </body>
</html>
